Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159505 - font.bgf.gz missing some of the Chinese fonts
Summary: font.bgf.gz missing some of the Chinese fonts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 08:31 UTC by XiaoYang Yu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-07 19:54:11 UTC


Attachments (Terms of Use)

Description XiaoYang Yu 2005-06-03 08:31:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.5) Gecko/20050420 Firefox/1.0 Turbolinxu/1.0-12.3

Description of problem:
When install the Fedora Core, selecting text mode, and Chinese language. In the timezone selection stage, some of the name of cities missing Chinese fonts, such as the Chinese word for "London".

Here is the patch for this bug:


--- anaconda-10.2.1.4/isys/lang.c       2005-03-02 08:34:31.000000000 +0800
+++ anaconda-10.2.1.4/isys/lang.c.new   2005-06-03 16:14:37.055542800 +0800
@@ -199,10 +199,10 @@
     if (major(sb.st_rdev) == 3 || major(sb.st_rdev) == 136)
        return 0;

-    if (!access("/etc/font.bgf.gz", R_OK))
-       btermargs[3] = "/etc/font.bgf.gz";
-    else if (!access("/usr/lib/bogl/font.bgf.gz", R_OK))
+    if (!access("/usr/lib/bogl/font.bgf.gz", R_OK))
        btermargs[3] = "/usr/lib/bogl/font.bgf.gz";
+    else if (!access("/etc/font.bgf.gz", R_OK))
+       btermargs[3] = "/etc/font.bgf.gz";
     else if (!access("font.bgf.gz", R_OK))
        btermargs[3] = "font.bgf.gz";
     else


Version-Release number of selected component (if applicable):
anaconda-10.2.1.4

How reproducible:
Always

Steps to Reproduce:
1.Insert Fedora Core install disk. Boot in text mode.
2.Select Chinese language.
3.In timezone selection, some of the Chinese fonts missing.
  

Actual Results:  Some of the Chinese fonts missing in timezone selection.

Expected Results:  All the Chinese fonts should be shown correctly.

Additional info:

Comment 1 Jeremy Katz 2005-06-07 19:54:11 UTC
Seems sane, fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.